#binding hibernate session
spring.jpa.properties.hibernate.current_session_context_class=org.springframework.orm.hibernate5.SpringSessionContext
spring.jpa.properties.hibernate.enable_lazy_load_no_trans=true

spring.application.name=usermanagement
spring.jackson.serialization.indent-output=true
server.port=7002

#dev
spring.datasource.url=jdbc:postgresql://localhost:5432/usermanagement
spring.datasource.username=admin
spring.datasource.password=syadziy
spring.datasource.driver-class-name=org.postgresql.Driver

spring.jpa.generate-ddl=true
spring.jpa.hibernate.ddl-auto=update
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.PostgreSQL94Dialect
spring.jpa.hibernate.naming.physical-strategy=org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl

logging.level.org.hibernate.SQL=DEBUG
logging.level.org.hibernate.type.descriptor.sql.BasicBinder=TRACE

directory.uploads=/home/syadziy/data/upload/prod/
envi=prod

spring.servlet.multipart.max-file-size=100MB
spring.servlet.multipart.max-request-size=100MB